Uploaded image for project: 'Dev - Nexus Repo'
  1. Dev - Nexus Repo
  2. NEXUS-18992

Upgrade to io.dropwizard.metrics 4.0.5

    XMLWordPrintable

    Details

    • Type: Technical Debt
    • Status: Closed
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 3.0.0
    • Fix Version/s: 3.16.0
    • Component/s: Metrics
    • Labels:
      None

      Description

      We haven't upgraded com.codahale.metrics for a while and in the meantime its groupId has changed to io.dropwizard.metrics. This ticket will make the necessary changes to move NXRM to io.dropwizard.metrics 4.0.5

      Note we also use a separate third-party library called metrics-guice to help apply metrics aspects to annotated components. Unfortunately the latest releases are only available on bintray, not central, but the last release on central is compatible with io.dropwizard.metrics 4.0.5 - it just needs a small runtime tweak to its OSGi metadata to widen the import range to accept the 4.x metrics package.

        Attachments

          Activity

            People

            Assignee:
            jtom Joe Tom
            Reporter:
            mcculls Stuart McCulloch
            Last Updated By:
            Peter Lynch
            Team:
            NXRM - Cypher
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Date of First Response:

                tigCommentSecurity.panel-title